Package fr.gouv.vitam.functionaltest.cucumber.step

# Class AccessStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.AccessStep

public class AccessStep extends CommonStep
step defining access glue

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTEXT_IDENTIFIER`
  `static final String`
  `INGEST_CONTRACT_IDENTIFIER`

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `check_downloaded_object_message_digest(String algorithm, String expectedDigest)`
  `void`
  `check_property_metadata(String propertyName, String unitTitle, io.cucumber.datatable.DataTable dataTable)`
  `void`
  `check_rule_metadata(String ruleId, String unitTitle, io.cucumber.datatable.DataTable dataTable)`
  `void`
  `check_unit_inherited_rules_json(String unitTitle, String filename)`
  `void`
  `download_object_by_persistent_identifier(String persistentIdentifier)`
  `void`
  `download_object_by_qualifier_and_persistent_identifier(String qualifier, String persistentIdentifier)`
  `void`
  `download_object_by_qualifier_and_version_persistent_identifier(String qualifier, String version, String persistentIdentifier)`
  `void`
  `facetmetadata_contains_values_count(String facetName, int count, String value)`
  Check facet bucket value count
  `void`
  `facetmetadata_does_not_contains_value(String facetName, String value)`
  Check facet does not contains bucket for value
  `void`
  `get_object_by_persistent_identifier(String persistentIdentifier)`
  `void`
  `i_import_or_check_the_file_for_the_admin_collection(String action, String filename, String collection)`
  Import or Check an admin referential file
  `void`
  `i_use_the_following_file_query(String queryFilename)`
  define a query from a file to reuse it after
  `void`
  `i_use_the_following_parameter_query_with_an_id(String parameter)`
  replace in the loaded query the given parameter by an id previously retrieved
  `void`
  `i_use_the_following_parameter_query_with_values(String parameter, String value)`
  replace in the loaded query the given parameter by the given value
  `void`
  `i_use_the_following_query(String query)`
  define a query to reuse it after
  `void`
  `i_use_the_following_unit_guid_for_title(String title)`
  replace in the loaded query the string {{guid}} by the guid of the first unit found for given title
  `void`
  `json_metadata_are_for_particular_result(String filename)`
  `void`
  `linked_check_traceability()`
  `void`
  `metadata_are(io.cucumber.datatable.DataTable dataTable)`
  check if the metadata are valid.
  `void`
  `metadata_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable)`
  check if the metadata are valid.
  `void`
  `metadata_are_for_particular_result(String category, String unitTitle)`
  Select unit rule category
  `void`
  `number_of_result_are(int numberOfResult)`
  check if the number of result is OK
  `void`
  `reclassification()`
  `void`
  `results_contains_key_value(String fieldKey, String fieldValue)`
  `void`
  `rule_category_rules_and_properties_count_check(int nbRules, int nbProperties)`
  `void`
  `saveOperationId(String operationIdName)`
  `void`
  `search_archive_unit()`
  search an archive unit according to the query define before
  `void`
  `search_archive_unit(String originatingSystemId)`
  `void`
  `search_archive_unit_by_persistent_identifier(String persistentIdentifier)`
  `void`
  `search_archive_unit_object_group()`
  Search an archive unit and retrieve object groups according to the query define before.
  `void`
  `search_archive_unit_object_group(String title)`
  Search an archive unit and retrieve object groups according to the query define before.
  `void`
  `search_archive_units_with_inherited_rules()`
  search an archive unit with inherited rules
  `void`
  `search_in_admin_collection(String collection)`
  Search in admin collection according to the query define before
  `void`
  `search_logbook_operation()`
  search logbook operations according to the query define before
  `void`
  `search_object_groups()`
  search an object groups according to the query define before
  `void`
  `search_one_archive_unit()`
  search an archive unit according to the query define before
  `void`
  `search_one_object_group()`
  search an archive unit according to the query define before
  `void`
  `start_elimination_action(String deleteDate, String status)`
  elimination action
  `void`
  `start_elimination_analysis(String analysisDate, String status)`
  elimination analysis
  `void`
  `the_description_message_of_the_select_result(String message)`
  check if the description message of the select result is correct
  `void`
  `the_status_of_the_request(String status)`
  check if the status of the select result is unauthorized
  `void`
  `the_status_of_the_select_result(String status)`
  check if the status of the select result is unauthorized
  `void`
  `the_status_of_the_update_result(String status)`
  check if the status of the update result is unauthorized
  `void`
  `update_archive_unit()`
  update an archive unit according to the query define before
  `void`
  `update_archive_unit_with_query(String query)`
  update an archive unit according to the query define before
  `void`
  `upload_contract_ingest_with_noeud(String title)`
  Upload contract with noeud
  `void`
  `wait_old_ingest_for_lfc_traceability(Integer duration)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTEXT_IDENTIFIER

    public static final String CONTEXT_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### INGEST_CONTRACT_IDENTIFIER

    public static final String INGEST_CONTRACT_IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessStep

    public AccessStep(World world)

- ## Method Details

  - ### facetmetadata_contains_values_count

    @Then("^le r\u00e9sultat pour la facet (.*) contient (\\d+) valeurs (.*)$") public void facetmetadata_contains_values_count(String facetName, int count, String value) throws Throwable
    Check facet bucket value count
    Parameters:
      `facetName` - facet name
      `count` - bucket count
      `value` - bucket value
    Throws:
      `Throwable` - when not valid

  - ### facetmetadata_does_not_contains_value

    @Then("^le r\u00e9sultat pour la facet (.*) ne contient pas la valeur (.*)$") public void facetmetadata_does_not_contains_value(String facetName, String value) throws Throwable
    Check facet does not contains bucket for value
    Parameters:
      `facetName` - facet name
      `value` - value
    Throws:
      `Throwable` - when not valid

  - ### metadata_are

    @Then("^les metadonn\u00e9es sont$") public void metadata_are(io.cucumber.datatable.DataTable dataTable) throws Throwable
    check if the metadata are valid.
    Parameters:
      `dataTable` - dataTable
    Throws:
      `Throwable`

  - ### metadata_are_for_particular_result

    @Then("^les metadonn\u00e9es pour le r\u00e9sultat (\\d+)$") public void metadata_are_for_particular_result(int resultNumber, io.cucumber.datatable.DataTable dataTable) throws Throwable
    check if the metadata are valid.
    Parameters:
      `resultNumber` - resultNumber
      `dataTable` - dataTable
    Throws:
      `Throwable`

  - ### upload_contract_ingest_with_noeud

    @When("^j\'importe le contrat d\'entr\u00e9e avec le noeud de rattachement dont le titre est (.*)") public void upload_contract_ingest_with_noeud(String title) throws Throwable
    Upload contract with noeud
    Parameters:
      `title` -
    Throws:
      `IOException`
      `Throwable`

  - ### number_of_result_are

    @Then("^le nombre de r\u00e9sultat est (\\d+)$") public void number_of_result_are(int numberOfResult)
    check if the number of result is OK
    Parameters:
      `numberOfResult` - number of result.

  - ### results_contains_key_value

    @Then("^tous les r\u00e9sultats contiennent la propri\u00e9t\u00e9 \"([^\"]*)\" dont la valeur est \"([^\"]*)\"$") public void results_contains_key_value(String fieldKey, String fieldValue)

  - ### the_status_of_the_select_result

    @Then("^le statut de select r\u00e9sultat est (.*)$") public void the_status_of_the_select_result(String status) throws Throwable
    check if the status of the select result is unauthorized
    Parameters:
      `status` -
    Throws:
      `Throwable`

  - ### the_description_message_of_the_select_result

    @Then("^le message d\'erreur renvoy\u00e9 est (.*)$") public void the_description_message_of_the_select_result(String message) throws Throwable
    check if the description message of the select result is correct
    Parameters:
      `message` -
    Throws:
      `Throwable`

  - ### the_status_of_the_request

    @Then("^le statut de la requete est (.*)$") public void the_status_of_the_request(String status) throws Throwable
    check if the status of the select result is unauthorized
    Parameters:
      `status` -
    Throws:
      `Throwable`

  - ### the_status_of_the_update_result

    @Then("^le statut de update r\u00e9sultat est (.*)$") public void the_status_of_the_update_result(String status) throws Throwable
    check if the status of the update result is unauthorized
    Parameters:
      `status` -
    Throws:
      `Throwable`

  - ### i_use_the_following_file_query

    @When("^j\'utilise le fichier de requ\u00eate suivant (.*)$") public void i_use_the_following_file_query(String queryFilename) throws Throwable
    define a query from a file to reuse it after
    Parameters:
      `queryFilename` - name of the file containing the query
    Throws:
      `Throwable`

  - ### i_use_the_following_parameter_query_with_values

    @When("^j\'utilise dans la requ\u00eate le param\u00e8tre (.*) avec la valeur (.*)$") public void i_use_the_following_parameter_query_with_values(String parameter, String value) throws Throwable
    replace in the loaded query the given parameter by the given value
    Parameters:
      `parameter` - parameter name in the query
      `value` - the valeur to replace the parameter
    Throws:
      `Throwable`

  - ### i_use_the_following_parameter_query_with_an_id

    @When("^j\'utilise dans la requ\u00eate le param\u00e8tre (.*) avec l\'id$") public void i_use_the_following_parameter_query_with_an_id(String parameter) throws Throwable
    replace in the loaded query the given parameter by an id previously retrieved
    Parameters:
      `parameter` - parameter name in the query
    Throws:
      `Throwable`

  - ### i_use_the_following_unit_guid_for_title

    @When("^j\'utilise dans la requ\u00eate le GUID de l\'unit\u00e9 archivistique pour le titre (.*)$") public void i_use_the_following_unit_guid_for_title(String title) throws Throwable
    replace in the loaded query the string {{guid}} by the guid of the first unit found for given title
    Parameters:
      `title` - title of the unit
    Throws:
      `Throwable`

  - ### i_use_the_following_query

    @When("^j\'utilise la requ\u00eate suivante$") public void i_use_the_following_query(String query) throws Throwable
    define a query to reuse it after
    Parameters:
      `query` -
    Throws:
      `Throwable`

  - ### saveOperationId

    @Then("^je nomme l\'identifiant de l\'op\u00e9ration (.*)$") public void saveOperationId(String operationIdName) throws Throwable
    Throws:
      `Throwable`

  - ### search_archive_unit

    @When("^je recherche les unit\u00e9s archivistiques$") public void search_archive_unit() throws Throwable
    search an archive unit according to the query define before
    Throws:
      `Throwable`

  - ### search_archive_unit

    @When("^je recherche les unit\u00e9s archivistiques pour trouver l\'unite (.*)$") public void search_archive_unit(String originatingSystemId) throws Throwable
    Throws:
      `Throwable`

  - ### search_archive_unit_by_persistent_identifier

    @When("^je recherche l\'unit\u00e9 archivistique ayant l\'identifiant p\u00e9renne (.*)$") public void search_archive_unit_by_persistent_identifier(String persistentIdentifier) throws Throwable
    Throws:
      `Throwable`

  - ### download_object_by_qualifier_and_persistent_identifier

    @When("^je t\u00e9l\u00e9charge l\'objet ayant le qualifier (.*) rattach\u00e9 \u00e0 une unit\u00e9 archivistique ayant l\'identifiant p\u00e9renne (.*)$") public void download_object_by_qualifier_and_persistent_identifier(String qualifier, String persistentIdentifier) throws Throwable
    Throws:
      `Throwable`

  - ### download_object_by_qualifier_and_version_persistent_identifier

    @When("^je t\u00e9l\u00e9charge l\'objet ayant le qualifier (.*) et la version (.*) rattach\u00e9 \u00e0 une unit\u00e9 archivistique ayant l\'identifiant p\u00e9renne (.*)$") public void download_object_by_qualifier_and_version_persistent_identifier(String qualifier, String version, String persistentIdentifier) throws Throwable
    Throws:
      `Throwable`

  - ### download_object_by_persistent_identifier

    @When("^je t\u00e9l\u00e9charge l\'objet ayant l\'identifiant p\u00e9renne (.*)$") public void download_object_by_persistent_identifier(String persistentIdentifier) throws Throwable
    Throws:
      `Throwable`

  - ### get_object_by_persistent_identifier

    @When("^je recherche l\'objet ayant l\'identifiant p\u00e9renne (.*)$") public void get_object_by_persistent_identifier(String persistentIdentifier) throws Throwable
    Throws:
      `Throwable`

  - ### check_downloaded_object_message_digest

    @Then("^le hash (.*) du fichier transf\u00e9r\u00e9 est (.*)$") public void check_downloaded_object_message_digest(String algorithm, String expectedDigest) throws Throwable
    Throws:
      `Throwable`

  - ### search_one_archive_unit

    @When("^je recherche une unit\u00e9 archivistique et je recup\u00e8re son id$") public void search_one_archive_unit() throws Throwable
    search an archive unit according to the query define before
    Throws:
      `Throwable` - throw

  - ### search_archive_units_with_inherited_rules

    @When("^je recherche les unit\u00e9s archivistiques avec leurs r\u00e8gles de gestion h\u00e9rit\u00e9es$") public void search_archive_units_with_inherited_rules() throws Throwable
    search an archive unit with inherited rules
    Throws:
      `Throwable`

  - ### metadata_are_for_particular_result

    @When("^je s\u00e9lectionne la cat\u00e9gorie (.*) pour l\'unit\u00e9 (.*)$") public void metadata_are_for_particular_result(String category, String unitTitle) throws Throwable
    Select unit rule category
    Throws:
      `Throwable`

  - ### rule_category_rules_and_properties_count_check

    @Then("^la cat\u00e9gorie contient (\\d+) r\u00e8gles et (\\d+) propri\u00e9t\u00e9s h\u00e9rit\u00e9es$") public void rule_category_rules_and_properties_count_check(int nbRules, int nbProperties) throws Throwable
    Throws:
      `Throwable`

  - ### search_object_groups

    @When("^je recherche les groupes d\'objets$") public void search_object_groups() throws Throwable
    search an object groups according to the query define before
    Throws:
      `Throwable`

  - ### check_rule_metadata

    @Then("^la cat\u00e9gorie contient une r\u00e8gle (.*) h\u00e9rit\u00e9e depuis l\'unit\u00e9 (.*) avec pour m\u00e9tadonn\u00e9es$") public void check_rule_metadata(String ruleId, String unitTitle, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Throws:
      `Throwable`

  - ### check_property_metadata

    @Then("^la cat\u00e9gorie contient une propri\u00e9t\u00e9 (.*) h\u00e9rit\u00e9e depuis l\'unit\u00e9 (.*) avec pour m\u00e9tadonn\u00e9es$") public void check_property_metadata(String propertyName, String unitTitle, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Throws:
      `Throwable`

  - ### json_metadata_are_for_particular_result

    @Then("^les m\u00e9tadonn\u00e9es de gestion correspondent au fichier json (.+)$") public void json_metadata_are_for_particular_result(String filename) throws Throwable
    Throws:
      `Throwable`

  - ### check_unit_inherited_rules_json

    @Then("^les r\u00e8gles h\u00e9rit\u00e9s de l\'unit\u00e9 (.*) correspondent au fichier json (.*)$") public void check_unit_inherited_rules_json(String unitTitle, String filename) throws Throwable
    Throws:
      `Throwable`

  - ### search_one_object_group

    @When("^je recherche une unit\u00e9 archivistique ayant un groupe d\'objets et je recup\u00e8re son id et son objet$") public void search_one_object_group() throws Throwable
    search an archive unit according to the query define before
    Throws:
      `Throwable`

  - ### update_archive_unit

    @When("^je modifie les unit\u00e9s archivistiques$") public void update_archive_unit() throws Throwable
    update an archive unit according to the query define before
    Throws:
      `Throwable`

  - ### update_archive_unit_with_query

    @When("^je modifie l\'unit\u00e9 archivistique avec la requete$") public void update_archive_unit_with_query(String query) throws Throwable
    update an archive unit according to the query define before
    Throws:
      `Throwable`

  - ### search_archive_unit_object_group

    @When("^je recherche les groupes d\'objets des unit\u00e9s archivistiques$") public void search_archive_unit_object_group() throws Throwable
    Search an archive unit and retrieve object groups according to the query define before. Step 1 : request search unit with #object in projection. Step 2 : on each unit search object group.
    Throws:
      `Throwable`

  - ### search_archive_unit_object_group

    @When("^je recherche les groupes d\'objets de l\'unit\u00e9 archivistique dont le titre est (.*)$") public void search_archive_unit_object_group(String title) throws Throwable
    Search an archive unit and retrieve object groups according to the query define before. Search object group with archive unit Id
    Throws:
      `Throwable`

  - ### search_logbook_operation

    @When("^je recherche les journaux d\'op\u00e9ration$") public void search_logbook_operation() throws Throwable
    search logbook operations according to the query define before
    Throws:
      `Throwable`

  - ### i_import_or_check_the_file_for_the_admin_collection

    @When("^(?:je |j\')(.*) le fichier nomm\u00e9 (.*) (?:pour|dans) le r\u00e9f\u00e9rentiel (.*)$") public void i_import_or_check_the_file_for_the_admin_collection(String action, String filename, String collection) throws Throwable
    Import or Check an admin referential file
    Parameters:
      `action` - the action we want to execute : "vérifie" for check / "importe" for import
      `filename` - name of the file to import or check
      `collection` - name of the collection
    Throws:
      `Throwable`

  - ### search_in_admin_collection

    @When("^je recherche les donn\u00e9es dans le r\u00e9f\u00e9rentiel (.*)$") public void search_in_admin_collection(String collection) throws Throwable
    Search in admin collection according to the query define before
    Parameters:
      `collection` - name of the collection
    Throws:
      `Throwable`

  - ### start_elimination_analysis

    @When("^je lance une analyse d\'\u00e9limination avec pour date le (.*) qui se termine avec le statut (.*)$") public void start_elimination_analysis(String analysisDate, String status) throws Throwable
    elimination analysis
    Throws:
      `Throwable`

  - ### start_elimination_action

    @When("^je lance une \u00e9limination d\u00e9finitive avec pour date le (.*) qui se termine avec le statut (.*)$") public void start_elimination_action(String deleteDate, String status) throws Throwable
    elimination action
    Throws:
      `Throwable`

  - ### linked_check_traceability

    @When("^je lance la v\u00e9rification des journaux de s\u00e9curisation$") public void linked_check_traceability() throws VitamException
    Throws:
      `VitamException`

  - ### wait_old_ingest_for_lfc_traceability

    @Etantdonné("l\'ingest date d\'au moins {int} secondes") public void wait_old_ingest_for_lfc_traceability(Integer duration)

  - ### reclassification

    @When("^je lance l\'op\u00e9ration de reclassification$") public void reclassification() throws Exception
    Throws:
      `Exception`